Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
-  trait Warnings extends AnyRef

  Settings influencing the printing of warnings.

  Settings influencing the printing of warnings.

  Definition Classes
    settings
- LintWarnings
- UnusedWarnings

o

scala.tools.nsc.settings.Warnings

# LintWarnings 

###

#### object LintWarnings extends MultiChoiceEnumeration

Source
  Warnings.scala

Linear Supertypes
MultiChoiceEnumeration, Enumeration, Serializable, java.io.Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LintWarnings
2. MultiChoiceEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class Choice(name: String, help: String = "", expandsTo: List[Choice] = Nil) extends Val with Product with Serializable
   Definition Classes
     MultiChoiceEnumeration
2.  class LintWarning extends Choice
3.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
5.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AdaptedArgs: LintWarning
5.  val ByNameRightAssociative: LintWarning
6.  val Constant: LintWarning
7.  val DelayedInitSelect: LintWarning
8.  val Deprecation: LintWarning
9.  val DocDetached: LintWarning
10.  val Inaccessible: LintWarning
11.  val InferAny: LintWarning
12.  def LintWarning(name: String, help: String, yAliased: Boolean = false): LintWarning
13.  val MissingInterpolator: LintWarning
14.  val NullaryOverride: LintWarning
15.  val NullaryUnit: LintWarning
16.  val OptionImplicit: LintWarning
17.  val PackageObjectClasses: LintWarning
18.  val PolyImplicitOverload: LintWarning
19.  val PrivateShadow: LintWarning
20.  val StarsAlign: LintWarning
21.  val TypeParameterShadow: LintWarning
22.  val UnsoundMatch: LintWarning
23.  val Unused: LintWarning
24.  final def Value(i: Int, name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
25.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
26.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
27.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
28.  def allLintWarnings: Seq[LintWarning]
29.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
30.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
31.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
32.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
34.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
35.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
36.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
37.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
38.  final def maxId: Int
    Definition Classes
      Enumeration
39.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
40.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
41.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
42.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
43.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
44.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
45.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
46.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
47.  def values: ValueSet
    Definition Classes
      Enumeration
48.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
49.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
50.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
51.  final def withName(s: String): Value
    Definition Classes
      Enumeration
52.  object ValueSet extends Serializable
    Definition Classes
      Enumeration

### Inherited from MultiChoiceEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped